---
title: DOMException()
slug: Web/API/DOMException/DOMException
tags:
  - API
  - Constructor
  - DOMException
  - Reference
---
<p>{{ APIRef("DOM") }}</p>

<p>The <strong><code>DOMException()</code></strong> constructor returns a <code>DOMException</code> object with a specified message and name.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var domException = new DOMException();
var domException = new DOMException(message);
var domException = new DOMException(message, name);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>message</code> {{optional_inline}}</dt>
 <dd>A description of the exception. If not present, the empty string <code>''</code> is used.</dd>
 <dt><code>name</code> {{optional_inline}}</dt>
 <dd>Returns a {{domxref("DOMString")}} that contains one of the strings associated with an <a href="Web/API/DOMException#Error_constants">error constant</a>.</dd>
 <dt>
 <h3 id="Return_value">Return value</h3>
 </dt>
 <dt><strong>{{domxref("DOMException")}}</strong></dt>
 <dd>A newly created {{domxref("DOMException")}} object.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>TBD</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebIDL', '#dom-domexception-domexception', 'DOMException()')}}</td>
   <td>{{Spec2('WebIDL')}}</td>
   <td>Adds the constructor for the <code>DOMException</code> class.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.DOMException.DOMException")}}</p>
